# DataExchange
TKIGES
Geom2dToIGES

# Geom2dToIGES_Geom2dCurve Class Reference

This class implements the transfer of the Curve Entity from Geom2d
To IGES. These can be :
Curve
. BoundedCurve
* BSplineCurve
* BezierCurve
* TrimmedCurve
. Conic
* Circle
* Ellipse
* Hyperbloa
* Line
* Parabola
. OffsetCurve
.

`#include <Geom2dToIGES_Geom2dCurve.hxx>`

Inheritance diagram for Geom2dToIGES_Geom2dCurve:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Geom2dToIGES_Geom2dCurve ()
Standard_EXPORT | Geom2dToIGES_Geom2dCurve (const Geom2dToIGES_Geom2dEntity &G2dE)
| Creates a tool Geom2dCurve ready to run and sets its fields as G2dE's. .
Standard_EXPORT Handle_IGESData_IGESEntity | Transfer2dCurve (const Handle(Geom2d_Curve)&start, const Standard_Real Udeb, const Standard_Real Ufin)
| Transfert an Entity from Geom2d to IGES. If this Entity could not be converted, this member returns a NullEntity. .

## Constructor & Destructor Documentation

Standard_EXPORT Geom2dToIGES_Geom2dCurve::Geom2dToIGES_Geom2dCurve | ( |  | ) |

Standard_EXPORT Geom2dToIGES_Geom2dCurve::Geom2dToIGES_Geom2dCurve | ( | const Geom2dToIGES_Geom2dEntity & | G2dE | ) |

## Member Function Documentation

void Geom2dToIGES_Geom2dCurve::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from Geom2dToIGES_Geom2dEntity.

void* Geom2dToIGES_Geom2dCurve::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from Geom2dToIGES_Geom2dEntity.

void* Geom2dToIGES_Geom2dCurve::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from Geom2dToIGES_Geom2dEntity.

Standard_EXPORT Handle_IGESData_IGESEntity Geom2dToIGES_Geom2dCurve::Transfer2dCurve | ( | const Handle(Geom2d_Curve)& | start,
|  | const Standard_Real | Udeb,
|  | const Standard_Real | Ufin
| ) |

The documentation for this class was generated from the following file:

- Geom2dToIGES_Geom2dCurve.hxx